> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a code scan run



## OpenAPI

````yaml get /api/migration/code-scanner/runs/{run_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/code-scanner/runs/{run_id}:
    get:
      tags:
        - Code Scanner
      summary: Get a code scan run
      operationId: get_run_api_migration_code_scanner_runs__run_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: UUID of the scan run.
            title: Run Id
          description: UUID of the scan run.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeScanRunDetailResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CodeScanRunDetailResponse:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        status:
          type: string
          enum:
            - NEW
            - RUNNING
            - PAUSED
            - COMPLETED
            - FAILED
          title: Status
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
        feature_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Feature Type
        input_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Input Mode
        git_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Repo Url
        git_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Ref
        source_archive_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Archive Name
        issues_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Issues Count
        summary:
          anyOf:
            - $ref: '#/components/schemas/ScanSummary'
            - type: 'null'
        files_done:
          anyOf:
            - type: integer
            - type: 'null'
          title: Files Done
        files_total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Files Total
        report_available:
          type: boolean
          title: Report Available
          default: false
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - run_id
        - status
        - created_at
      title: CodeScanRunDetailResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScanSummary:
      properties:
        files_scanned:
          type: integer
          title: Files Scanned
          default: 0
        lines_scanned:
          type: integer
          title: Lines Scanned
          default: 0
        total_issues:
          type: integer
          title: Total Issues
          default: 0
        by_severity:
          additionalProperties:
            type: integer
          type: object
          title: By Severity
        by_category:
          additionalProperties:
            type: integer
          type: object
          title: By Category
      type: object
      title: ScanSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````